# ImageSourceType enum

The type of source which originated the underlying image.

Inheritance
  - Object
  - Enum
  - ImageSourceType
Available extensions
  - EnumName

## Values

API → const ImageSourceType

  ImageRef was created by a call to an SDK feature, such as a scanner, image processor, etc.

PLATFORM_IMAGE → const ImageSourceType

  ImageRef was created from a platform image, e.g. Bitmap on Android, UIImage on iOS.

CAMERA → const ImageSourceType

  ImageRef was created from data from the camera.

FILE → const ImageSourceType

  ImageRef was created from a file.

BUFFER → const ImageSourceType

  ImageRef was created from an encoded buffer.

OTHER → const ImageSourceType

  ImageRef was created from another type, e.g. from custom loader.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<ImageSourceType>
  A constant List of the values in this enum, in order of their declaration.